Cassandra.system_update_column_family_args._Fields (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.thrift
Enum Cassandra.system_update_column_family_args._Fields

    java.lang.Object
      java.lang.Enum<Cassandra.system_update_column_family_args._Fields>
          org.apache.cassandra.thrift.Cassandra.system_update_column_family_args._Fields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Cassandra.system_update_column_family_args._Fields>, org.apache.thrift.TFieldIdEnum

Enclosing class:
  Cassandra.system_update_column_family_args

    public static enum Cassandra.system_update_column_family_args._Fields

extends java.lang.Enum<Cassandra.system_update_column_family_args._Fields>
implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Enum Constant Summary
`CF_DEF`

Method Summary
`static Cassandra.system_update_column_family_args._Fields` | `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
`static Cassandra.system_update_column_family_args._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static Cassandra.system_update_column_family_args._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`java.lang.String` | `getFieldName()`
`short` | `getThriftFieldId()`
`static Cassandra.system_update_column_family_args._Fields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Cassandra.system_update_column_family_args._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CF_DEF

    public static final Cassandra.system_update_column_family_args._Fields CF_DEF

Method Detail

### values

    public static Cassandra.system_update_column_family_args._Fields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Cassandra.system_update_column_family_args._Fields c : Cassandra.system_update_column_family_args._Fields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Cassandra.system_update_column_family_args._Fields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### findByThriftId

    public static Cassandra.system_update_column_family_args._Fields findByThriftId(int fieldId)

  Find the _Fields constant that matches fieldId, or null if its not found.

### findByThriftIdOrThrow

    public static Cassandra.system_update_column_family_args._Fields findByThriftIdOrThrow(int fieldId)

  Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

### findByName

    public static Cassandra.system_update_column_family_args._Fields findByName(java.lang.String name)

  Find the _Fields constant that matches name, or null if its not found.

### getThriftFieldId

    public short getThriftFieldId()

  Specified by:
    `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

### getFieldName

    public java.lang.String getFieldName()

  Specified by:
    `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 The Apache Software Foundation